Bug 291703 - Simkete theme needs to support message highlights.
Summary: Simkete theme needs to support message highlights.
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: Gentoo Packages Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: 291706
  Show dependency treegraph
 
Reported: 2012-01-16 21:39 UTC by Elias Probst
Modified: 2013-03-08 13:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Probst 2012-01-16 21:39:12 UTC
Version:           git-latest (using Devel) 
OS:                Linux

It would be helpful to have messages including things like
- displayname (e.g. Elias Probst)
- accountid (e.g. elias.probst@googlemail.com)
- alias (e.g. eliasp)
(whatever is configured in different places of Ktp) highlighted in the group chat window.

This would make it easier to navigate through 'crowded' conversations in a group chat and to recognise important messages.


Reproducible: Always



Expected Results:  
See initial description
Comment 1 David Edmundson 2013-03-07 15:03:06 UTC
All the infrastructure for this is now in place \o/

Only thing missing is the default group chat theme, Simkete needs updating.

We need to add some CSS properties for the class ".mention".
Comment 2 Daniele E. Domenichelli 2013-03-08 13:11:49 UTC
Git commit b277d1c284399e55a1bada680ac121e3f4417037 by Daniele E. Domenichelli.
Committed on 08/03/2013 at 10:44.
Pushed by ddomenichelli into branch 'master'.

Handle mention in SimKete theme
FIXED-IN: 0.6.0

M  +5    -0    data/styles/SimKete.AdiumMessageStyle/Contents/Resources/main.css

http://commits.kde.org/telepathy-text-ui/b277d1c284399e55a1bada680ac121e3f4417037